﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Session_ID_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult SetSession()
        {
            //Set value in Session object.
            HttpContext.Session.SetString("Name", "Mudassar Khan");

            //Get SessionID inside Controller.
            TempData["SessionID"] = HttpContext.Session.Id;

            return RedirectToAction("Index");
        }
    }
}